@tool
class_name TimerRunning extends ConditionLeaf
## Is the given timer currently running?

## Timer to check.
@export var timer: Timer


func tick(_actor: Node, _blackboard: Blackboard) -> int:
	return FAILURE if timer.is_stopped() else SUCCESS
